SystemOrganization addCategory: #ProyectoFinalTest!

Object subclass: #FabricaOrdenes
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ProyectoFinalTest'!

!FabricaOrdenes methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/9/2012 11:12'!
OC1
	| orden |
	orden := OrdenCompra
		conEmisor: Emisor new
		conCantidad: 1
		conPrecioTotal: 25
		conFecha: (Date year: 2012 month: 1 day: 1).
	^ orden! !

!FabricaOrdenes methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/10/2012 13:42'!
OC2
	| orden |
	orden := OrdenCompra
		conEmisor: Emisor new
		conCantidad: 2
		conPrecioTotal: 60
		conFecha: (Date year: 2012 month: 1 day: 2).
	^ orden! !

!FabricaOrdenes methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/10/2012 13:44'!
OC3
	| orden |
	orden := OrdenCompra
		conEmisor: Emisor new
		conCantidad: 2
		conPrecioTotal: 50
		conFecha: (Date year: 2012 month: 1 day: 7).
	^ orden! !

!FabricaOrdenes methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/10/2012 13:45'!
OC4
	| orden |
	orden := OrdenCompra
		conEmisor: Emisor new
		conCantidad: 3
		conPrecioTotal: 90
		conFecha: (Date year: 2012 month: 1 day: 8).
	^ orden! !

!FabricaOrdenes methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/10/2012 13:46'!
OC5
	| orden |
	orden := OrdenCompra
		conEmisor: Emisor new
		conCantidad: 4
		conPrecioTotal: 160
		conFecha: (Date year: 2012 month: 1 day: 9).
	^ orden! !

!FabricaOrdenes methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/10/2012 13:46'!
OC6
	| orden |
	orden := OrdenCompra
		conEmisor: Emisor new
		conCantidad: 10
		conPrecioTotal: 200
		conFecha: (Date year: 2012 month: 1 day: 3).
	^ orden! !

!FabricaOrdenes methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/9/2012 11:11'!
OV1
	| orden |
	orden := OrdenVenta
		conEmisor: Emisor new
		conCantidad: 2
		conPrecioTotal: 50
		conFecha: (Date year: 2012 month: 1 day: 4).
	^ orden! !

!FabricaOrdenes methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/10/2012 13:48'!
OV2
	| orden |
	orden := OrdenVenta
		conEmisor: Emisor new
		conCantidad: 1
		conPrecioTotal: 25
		conFecha: (Date year: 2012 month: 1 day: 11).
	^ orden! !

!FabricaOrdenes methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/10/2012 13:49'!
OV3
	| orden |
	orden := OrdenVenta
		conEmisor: Emisor new
		conCantidad: 3
		conPrecioTotal: 75
		conFecha: (Date year: 2012 month: 1 day: 12).
	^ orden! !

!FabricaOrdenes methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/10/2012 13:49'!
OV4
	| orden |
	orden := OrdenVenta
		conEmisor: Emisor new
		conCantidad: 3
		conPrecioTotal: 180
		conFecha: (Date year: 2012 month: 1 day: 10).
	^ orden! !

!FabricaOrdenes methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/10/2012 13:50'!
OV5
	| orden |
	orden := OrdenVenta
		conEmisor: Emisor new
		conCantidad: 1
		conPrecioTotal: 60
		conFecha: (Date year: 2012 month: 1 day: 5).
	^ orden! !

!FabricaOrdenes methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/10/2012 13:50'!
OV6
	| orden |
	orden := OrdenVenta
		conEmisor: Emisor new
		conCantidad: 2
		conPrecioTotal: 80
		conFecha: (Date year: 2012 month: 1 day: 6).
	^ orden! !

!FabricaOrdenes methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/10/2012 13:51'!
OV7
	| orden |
	orden := OrdenVenta
		conEmisor: Emisor new
		conCantidad: 2
		conPrecioTotal: 60
		conFecha: (Date year: 2012 month: 1 day: 13).
	^ orden! !

TestCase subclass: #PEMTest
	instanceVariableNames: 'fabricaOrdenes'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ProyectoFinalTest'!

!PEMTest methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/9/2012 11:18'!
setUp
	fabricaOrdenes := FabricaOrdenes new! !

!PEMTest methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/9/2012 11:17'!
tearDown
	fabricaOrdenes := nil! !

!PEMTest methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/5/2012 00:17'!
testDepuracionOrdenes
	"comment stating purpose of message"

	| temporary variable names |
! !

!PEMTest methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/5/2012 00:15'!
testEmisores
	"comment stating purpose of message"

	| temporary variable names |
	! !

!PEMTest methodsFor: 'as yet unclassified' stamp: 'PauloPerez 7/9/2012 22:31'!
testPrecioMercado
	"se crean todas las rdenes de compra y venta del juego de datos y se las agrega una a una al PEM; se pide al PEM que calcule el Precio de Mercado y se chequea que el valor devuelto coincida con el valor esperado."

	| pem precioMercadoEsperado precioMercadoCalculado |
	precioMercadoEsperado := 50.
	pem := PEM new.
	pem
		recibirOrden: fabricaOrdenes OC1;
		recibirOrden: fabricaOrdenes OV1.
	precioMercadoCalculado := pem calcularPrecioMercado.
	self assert: precioMercadoCalculado = precioMercadoEsperado! !

!PEMTest methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/5/2012 00:15'!
testRecepcionOrdenes
	"comment stating purpose of message"

	| temporary variable names |
	! !

!PEMTest methodsFor: 'as yet unclassified' stamp: 'DiegoValdeblanquez 7/10/2012 16:50'!
testTrading
	"Una vez definido el precio de mercado se le solicita al PEM comercializar las unidades terica disponibles haciendo un match entre la ordenes de compra y venta. Se verifica los trading tickets generados correspondan con	las ordenes de compra y venta esperadas."

	| pem precioMercadoCalculado ticketsEsperados |
	pem := PEM new.
	precioMercadoCalculado := 30.
	Transcript clear.
	pem tradingTickets do: [ precioMercadoCalculado | Transcript show: precioMercadoCalculado ].
	self assert: ticketsEsperados = pem comercializar size! !
